package com.eitc.patient.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eitc.patient.domain.DiagnosisTypeCostProject;
import com.eitc.patient.vo.DiagnosisTypeCostProjectInfoVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * DiagnosisTypeCostProjectMapper
 *
 * @author mtx
 * @date: 2024/05/17 15:31
 */
@Mapper
public interface DiagnosisTypeCostProjectMapper extends BaseMapper<DiagnosisTypeCostProject> {

    /**
     * 查询收费分类详情列表
     *
     * @param entry 收费分类详情
     * @return 收费分类详情集合
     */
    List<DiagnosisTypeCostProjectInfoVO> findList(DiagnosisTypeCostProjectInfoVO entry);
}
