package com.eitc.patient.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eitc.patient.domain.MedicalRecord;
import com.eitc.patient.dto.MedicalRecordListDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * MedicalRecordMapper
 *
 * @author mtx
 * @date: 2024/05/17 15:32
 */
@Mapper
public interface MedicalRecordMapper extends BaseMapper<MedicalRecord> {

    /**
     * 病历列表
     *
     * @param searchParam 病历信息
     * @return 病历列表
     * @author mtx
     * @date: 2024/5/23 9:17
     */
    List<MedicalRecordListDto> medicalRecordList(String searchParam);
}
