package com.eitc.patient.tree;

import com.eitc.patient.domain.DiagnosisType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * DiagnosisTypeTree
 *
 * @author mtx
 * @date: 2024/05/17 17:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类表")
public class DiagnosisTypeTree extends DiagnosisType {

    @ApiModelProperty(value = "子集", name = "childrenList")
    private List<DiagnosisTypeTree> childrenList;

}
