package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * SchedulingStatus
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@Data
@ApiModel("诊断分类收费项目")
public class DiagnosisTypeCostProjectInfoVO {

    @ApiModelProperty(value = "ID", name = "id")
    private String id;

    @ApiModelProperty(value = "诊断分类ID", name = "diagnosisTypeId")
    private String diagnosisTypeId;

    @ApiModelProperty(value = "收费分类详情ID", name = "total")
    private Integer total;

    @ApiModelProperty(value = "项目编号", name = "projectCode")
    private String projectCode;

    @ApiModelProperty(value = "项目名称", name = "projectName")
    private String projectName;

    @ApiModelProperty(value = "单价", name = "unitPrice")
    private BigDecimal unitPrice;

    @ApiModelProperty(value = "单位", name = "unit")
    private String unit;

}
