package com.eitc.patient.vo;

import com.eitc.patient.domain.SchedulingStatus;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * SchedulingStatus
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("排班状态")
public class SchedulingStatusVO extends SchedulingStatus {

    @ApiModelProperty(value = "是否休息（0：休息，1工作）", name = "workStatus")
    @NotNull(message = "是否休息不能为空")
    private Integer workStatus;

}
