package com.eitc.patient.dto;

import com.eitc.patient.domain.DiagnosisTypeTemplate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * DiagnosisTypeTemplateVO
 *
 * @author mtx
 * @date: 2024/05/30 11:06
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类模板表")
public class DiagnosisTypeTemplateDto extends DiagnosisTypeTemplate {

    @ApiModelProperty(value = "患者病史", name = "patientMedicalRecord")
    private String patientMedicalRecord;

    @ApiModelProperty(value = "医生录入病史", name = "doctorMedicalRecord")
    private String doctorMedicalRecord;

    @ApiModelProperty(value = "模板示例", name = "templateExample2")
    private String templateExample2;

    private List<String> formattedPartsList;

    private boolean flag = false;

}
