package com.eitc.patient.excel;

import com.eitc.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * DiagnosisTypeTemplateExcel
 *
 * @author mtx
 * @date: 2024/05/20 15:34
 */
@Data
@ApiModel("诊断分类模板导入")
public class DiagnosisTypeTemplateExcel {

    @Excel(name = "项目", type = Excel.Type.ALL)
    @ApiModelProperty(value = "模板名称", name = "templateName")
    private String templateName;

    @Excel(name = "模版示例(该文档内容为示例,请根据实际诊断病历填写内容)", type = Excel.Type.ALL)
    @ApiModelProperty(value = "模版示例", name = "templateExample")
    private String templateExample;

    @Excel(name = "返回信息", type = Excel.Type.EXPORT)
    @ApiModelProperty(value = "返回信息", name = "msg")
    private String msg;

}
