package com.eitc.patient.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eitc.patient.domain.MedicalRecordDetails;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * MedicalRecordDetailsMapper
 *
 * @author mtx
 * @date: 2024/05/17 15:32
 */
@Mapper
public interface MedicalRecordDetailsMapper extends BaseMapper<MedicalRecordDetails> {

    /**
     * 统计诊断分类
     *
     * @return 统计结果
     * @author mtx
     * @date: 2024/6/5 9:10
     */
    List<Map<String, String>> countByDiagnosisTypeName();
}
