package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * DiagnosisTypeTemplateVO
 *
 * @author mtx
 * @date: 2024/05/30 11:06
 */
@Data
@ApiModel("诊断分类模板表")
public class DiagnosisTypeTemplateVO {

    @ApiModelProperty(value = "模板名称", name = "templateName")
    @NotBlank(message = "模板名称不能为空")
    private String templateName;

    @ApiModelProperty(value = "模板示例", name = "templateExample")
    @NotBlank(message = "模板示例不能为空")
    private String templateExample;

}
