package com.eitc.patient.vo;

import com.eitc.common.core.domain.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * SysUserVO
 *
 * @author mtx
 * @date: 2024/06/13 15:11
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DoctorVO extends SysUser {

    @ApiModelProperty(value = "是否空闲（0空闲，1忙碌）")
    private Integer isFree;

    private String deptName;
    @ApiModelProperty(value = "是否空闲（0未收藏，1收藏）")
    private Integer isCollection;
    @ApiModelProperty(value = "接诊人数")
    private Integer receivePatientNum;
}
